[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

DataArg< INDEX > Class Template Reference

Specifies index of data in CoupledHandle. More...

`#include <vigra/accumulator.hxx>`

## Detailed Description

template<int INDEX>
class vigra::acc::DataArg< INDEX >

Specifies index of data in CoupledHandle.

If AccumulatorChain is used with CoupledIterator, DataArg<INDEX> tells the accumulator chain which index of the Handle contains the data. (Coordinates are always index 0)

The documentation for this class was generated from the following files:

- vigra/accumulator-grammar.hxx
- vigra/accumulator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2